Subject: bug#41034: closed (Re: bug#41034: guix info: display messed up in emacs info)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Jun 2020 14:58:02 +0000

Your bug report

#41034: guix info: display messed up in emacs info

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41034: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41034
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41034: guix info: display messed up in emacs info
From: Michael Rohleder <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Jun 2020 16:57:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Howard <[email-masked]> writes:
> Hi, thank you, but problem is gone now. I can't quite recall, but I
> think it went away after I ran fc-cache -f -v.

Ok, let's close this ;)

-- 
Programmierer sind Maschinen die Nikotin und Koffein in Programmcode umsetzen.

Subject: guix info: display messed up in emacs info
From: Christopher Howard <[email-masked]>
To: [email-masked]
Date: Sat, 02 May 2020 14:14:08 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, the guix info pages display fine when viewed with the normal info
command, but when viewed with emacs (C-h i m Guix) there is strange
issue where text between forward and backquote symbols shows up as hex
numbers. See section 6.2 for a representative example. I get the same
result if I run `emacs -q'. I've attached some screenshots which
hopefully make it through the filters.

christopher@nightshade ~$ guix describe
Generation 20	Apr 30 2020 05:34:14	(current)
  guix f03e5ca
    repository URL: https://git.savannah.gnu.org/git/guix.git
    commit: f03e5ca59f2f099693def2c8e6ff409e5b4ed40a

christopher@nightshade ~$ emacs --version
GNU Emacs 26.3
Copyright (C) 2019 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

christopher@nightshade ~$ neofetch
christopher@nightshade 
---------------------- 
OS: Guix System f03e5ca59f2f099693def2c8e6ff409e5b4ed40a x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.4.36-gnu 
Uptime: 1 hour, 48 mins 
Packages: 55 (guix-system), 136 (guix-user) 
Shell: bash 5.0.7 
Resolution: 1920x1200 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA GeForce 8400 GS Rev. 3 
Memory: 1062MiB / 7960MiB 

-- 
Christopher Howard
p: +1 (907) 374-0257
w: https://librehacker.com
social: https://gnusocial.club/librehacker
gpg: ADDEAADE5D607C8D (keys.gnupg.net)